/* Contact Footer Component */
/* ------------------------------------------------- */

.contact-footer {
    position: relative;
    padding: var(--space-11) 0;
    overflow: hidden;
}

.contact-footer-background {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.contact-footer .wrap {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: var(--space-5);
}

section.contact-footer:after {
    display: flex;
    position: absolute;
    content: '';
    left: 0;
    width: 100%;
    height: 100%;
    top: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 1));
    z-index: 1;
    pointer-events: none;
}

.contact-footer-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--space-9);
    position: relative;
    z-index: 3;
}

@media (max-width: 650px) {
    .contact-footer {
        background: var(--neutral-25);
    }

    .contact-footer-background,
    section.contact-footer:after {
        display: none;
    }

    .contact-footer-grid {
        grid-template-columns: 1fr;
    }
}
